<script setup>
import ItemFromDialog from '@/components/item/item-from-dialog.vue'
import SimpleItem from '@/components/item/simple/simple-item.vue'
</script>

<template>
  <item-from-dialog collection-id="1" v-model="isEditing" :order="1"></item-from-dialog>
  <v-container>
    <simple-item
      collection-id="1"
      :item="item"
      :tabindex="0"
      @setup-create="setupCreate"
    ></simple-item>
  </v-container>
</template>

<script>
import { defineComponent } from 'vue'

export default defineComponent({
  data() {
    return {
      isEditing: false,
      item: {
        id: 1,
        label: "Altera sententia e",
        ticked: true,
      }
    }
  },
  methods: {
    setupCreate() {
      this.isEditing = true
    }
  }
});
</script>
<style scoped>
.comlement {
  width: 40%;
}
</style>